<?php
ini_set('display_error',1);
date_default_timezone_set('America/Lima');
session_start();
if($_SESSION["sistema"]!= "1"){ header("location: ../login/index.php"); exit();}

require_once ("../../config/Cado.php");

require_once("../enviodocumento/cEnviodocumento.php");
$oEnviodocumento = new cEnviodocumento();


require_once ("../formatos/formato.php");


$y=date('Y');
$m=date('m');
$d=date('d');

$fec1= '01-'.$m.'-'.$y;
$fec2= $d.'-'.$m.'-'.$y;



?>
<style type="text/css">
select{
	cursor:pointer;
}

</style>

<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;">
		    <div class="card">
		        <div class="card-header">
		          
	<?php 
		$dts1=$oEnviodocumento->mostrar_filtro_ventas(fecha_mysql($fec1),fecha_mysql($fec2));
		$num_rows= mysqli_num_rows($dts1);
		
		
	if($num_rows>0){
		while($dt1 = mysqli_fetch_array($dts1))
		{
			echo '<strong style="font-size:1.2rem;">'.$dt1['tb_venta_numdoc'].'</strong><strong>'.' '.mostrarFecha($dt1['tb_venta_fec']).' || '.$dt1['tb_cliente_nom'].'</strong> </br>';
			echo 'Enviando... </br>';
			
			
		?>			
		
		<script type="text/javascript">

			venta_ticket_datos(<?php echo $dt1['tb_venta_id']; ?>);


			
			function venta_ticket_datos(id_ven){	
					
					$.ajax({
						type: "POST",
						url: "../venta/venta_ticket_datos.php",
						async:true,
						dataType: "json",                      
						data: ({ 
						venid: id_ven
						}),
						beforeSend: function() {
							
						},
						success: function(data){
							
							if(data!=""){					
								if(data.ven_docabr=="F" /* && data.cli_nom !='CLIENTE' */ ){
								generarFactura_xml(data,data.url_genfac,data.emp_ruc,data.ven_numdoc,id_ven,data.cli_id);
								}else if(data.ven_docabr=="B" /* && data.cli_nom !='CLIENTE' */ ){
								generarBoleta_xml(data,data.url_genbol,data.emp_ruc,data.ven_numdoc,id_ven,data.cli_id);
								}
							}else{
								
							}
						}
					});
				
			}
			
			
			
			
			function generarFactura_xml(data,url,emp_ruc,ven_numdoc,id_ven,id_cli){
				
					$.ajax({
					type: "POST",
					url: url,
					async:true,
					dataType: "json",                      
					data: data,
					beforeSend: function()
					{
						
					},
					success: function(data){
							
					firmar(data.url,data.arc,emp_ruc,ven_numdoc,data.tipcom,id_ven,id_cli);
					}
				});

			}

			function generarBoleta_xml(data,url,emp_ruc,ven_numdoc,id_ven,id_cli){
					
					$.ajax({
					type: "POST",
					url: url,
					async:true,
					dataType: "json",                      
					data: data,
					beforeSend: function()
					{
						
					},
					success: function(data){
						
						firmar(data.url,data.arc,emp_ruc,ven_numdoc,data.tipcom,id_ven,id_cli);			
						
					}
				});

			}
			
			
			

			function firmar(url,arc,emp_ruc,ven_numdoc,tipcom,id_ven,id_cli){
					
					$.ajax({
					type: "POST",
					url: url,
					async:true,
					dataType: "json",                      
					data: ({
						arc : arc,
						emp_ruc : emp_ruc,
						ven_numdoc:ven_numdoc,
						tipcom:tipcom,
						venid:id_ven
					}),
					beforeSend: function()
					{
						
					},
					success: function(data){			
					
						enviarSunat(data.xml_nom,data.fil_name_zip,data.fil_name_xml,data.filenom,id_ven,id_cli,tipcom,emp_ruc);
						
						
					}
				});

			}

			function enviarSunat(nomxml,fil_name_zip,fil_name_xml,filenom,id_ven,id_cli,tipcom,emp_ruc){
					$.ajax({
					type: "POST",
					url: '../../docgeneracion/enviosunat.php',
					async:true,
					dataType: "json",                      
					data: ({
						nomxml:nomxml,
						name_zip:fil_name_zip,
						nomfile:filenom,
						id_ven:id_ven,
						xmlarchivo:fil_name_xml,
						tipcom:tipcom,
						emp_ruc:emp_ruc
					}),
					beforeSend: function()
					{
						$("#mens1_"+id_ven).text("Esperando respuesta de sunat...");
					},
					success: function(data){
						
						$("#mens2_"+id_ven).text(data.msj);
						
					}
				});

			}
			

		</script>
						
	<?php
			
			
			echo '<strong id="mens1_'.$dt1['tb_venta_id'].'" ></strong> </br>';
			echo '</br>';
			echo '<strong id="mens2_'.$dt1['tb_venta_id'].'" style="font-size:1rem;" ></strong> </br>';
			echo '------------------------------------- </br>';
		}
	}else{
		echo '<strong style="font-size:1rem;" > No hay FACTURAS/BOLETAS por enviar </strong>';
	}
		
	?>
			
	


			
				  


		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>


	<div id="div_venta_filtro" class=""></div>

	
	
	
	

<script type="text/javascript">



			
			
			

$(function() {
	
	setTitle("ENVIO DE COMPROBANTES - "+nombreEmpresa);	
	
}); 

</script>
